Ubuntu的tcpdump怎么不能用啊?

为当前最终发行版之前的所有版本提供支持
回复
ghoulich
帖子: 10
注册时间: 2011-01-07 20:38
送出感谢: 0
接收感谢: 0

Ubuntu的tcpdump怎么不能用啊?

#1

帖子 ghoulich » 2011-01-07 20:50

安装的是10.04版本的官方镜像,选择的是完全安装。。。安装完tcpdump后,运行就提示
error while loading shared libraries: libsmi.so.2

whatprovides命令查找这个库,提示说
no package provides libsmi.so.2

这个到底怎么回事啊?急死人了。。。
头像
astolia
论坛版主
帖子: 3185
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 537 次

Re: Ubuntu的tcpdump怎么不能用啊?

#2

帖子 astolia » 2011-01-07 23:19

你从哪里搞来的tcpdump?源里的根本不依赖libsmi
10.04的可能是libsmi2ldbl提供的,如果没有的话试试libsmi2/libsmi1/libsmi0
另外你确定能在ubuntu上用whatprovides?你装了yum?在debian系发行版上用yum?
回复

回到 “老旧版本支持”